دریافت مشخصات شیء
GET
/api/v1/stations/:id/characteristics مشخصات فیزیکی یک گره اندازهگیری را بر اساس شناسهٔ آن بازمیگرداند.
پارامترهای مسیر
id integer الزامی شناسهٔ گره اندازهگیری.
فیلدهای پاسخ
| ویژگی | توضیح |
|---|---|
id | شناسه (کلید یکتا) گره اندازهگیری در سامانه |
gas_boiler | وجود دیگ گازی |
gas_stove | وجود اجاق گاز |
gas_water_heater | وجود آبگرمکن گازی |
resident_count | تعداد ساکنان (نفر) |
heated_area | مساحت تحت گرمایش (m²) |
درخواست
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: api-user@example.com" \
--header "Content-Type: application/json" \
--request GET \
"https://api.vadsro.eu/api/v1/stations/3318/characteristics"js
const res = await fetch('https://api.vadsro.eu/api/v1/stations/3318/characteristics', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'api-user@example.com',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://api.vadsro.eu/api/v1/stations/3318/characteristics",
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "api-user@example.com",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://api.vadsro.eu/api/v1/stations/3318/characteristics", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "api-user@example.com")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://api.vadsro.eu/api/v1/stations/3318/characteristics");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: api-user@example.com",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);پاسخ
json
{
"data": {
"id": 3318,
"gas_boiler": "false",
"gas_stove": "false",
"gas_water_heater": "true",
"resident_count": "22",
"heated_area": null
}
} آخرین بهروزرسانی در
آیا این صفحه مفید بود؟
از بازخورد شما سپاسگزاریم!
دریافت یک گره اندازهگیری
قبلی
دریافت تاریخ آخرین نشست ارتباطی
بعدی